Name:           oracle-graalvm-ce-release-el7
Version:        1.0
Release:        2%{dist}
Summary:        Oracle GraalVM Community yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-graalvm-ce-ol7.repo 
Source1:        LICENSE

BuildArch:     x86_64
Requires:      oraclelinux-release-el7 >= 1.0-14
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the  Oracle GraalVM Community yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*



%post

   instance_command='curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/'

if [ ! -f /etc/yum/vars/ociregion ]; then
(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
if [ $? != 0 ]; then
  echo > /etc/yum/vars/ociregion
else
 instance_region=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s | jq -r '.region' | cut -d '-' -f 2)
  if [ -z "$instance_region" ]; then
    echo > /etc/yum/vars/ociregion
  else
    echo "-$instance_region" > /etc/yum/vars/ociregion
  fi
 fi
fi

if [ -e /etc/sysconfig/rhn/systemid ];then
  if [ -f /etc/yum.repos.d/oracle-graalvm-ce-ol7.repo.incomplete ]; then
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/oracle-graalvm-ce-ol7.repo.incomplete
  else
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/oracle-graalvm-ce-ol7.repo
  fi
fi
if [ -f /etc/yum.repos.d/.public-yum-ol7.repo.moved ] && [ -f  /etc/yum.repos.d/oracle-graalvm-ce-ol7.repo ]; then
  mv /etc/yum.repos.d/oracle-graalvm-ce-ol7.repo /etc/yum.repos.d/oracle-graalvm-ce-ol7.repo.disabled
fi

%posttrans
if [ -f /etc/yum.repos.d/.public-yum-ol7.repo.moved ]; then
   mv /etc/yum.repos.d/public-yum-ol7.repo.`date +%Y%m%d` /etc/yum.repos.d/public-yum-ol7.repo
   rm -f /etc/yum.repos.d/.public-yum-ol7.repo.moved
fi




%changelog
* Tue Feb 16 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Add ocidomain as yum variable [ OraBug: 31840501]

* Wed Sep 30 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

